# FlattenMapper

Implements \FileNameMapper

Removes any directory information from the passed path.

author | Andreas Aderhold andi@binarycloud.com
version | $Id: 8181ebf4f40374d9a706a4961a0e17f902fea000 $
package | phing.mappers

### Methods

## The mapper implementation. Returns string with source filename but without leading directory information

    main(string $sourceFileName) : array

### Arguments

#### $sourceFileName

`string`

The data the mapper works on

### Response

`array`

The data after the mapper has been applied

## Ignored here.

    setFrom(string $from) : void

### Arguments

#### $from

`string`

On what this mapper should work

## Ignored here.

    setTo(string $to) : void

### Arguments

#### $to

`string`

To what this mapper should convert the from string